# Generated by Django 4.2.3 on 2023-10-11 15:57

import datetime

import django.db.models.deletion
from django.db import migrations, models

import creme.activities.models.config


class Migration(migrations.Migration):

    dependencies = [
        ('creme_core', '0129_v2_6__filtercondition_jsonfield02'),
        ('activities', '0024_v2_6__types_uuid03'),
    ]

    operations = [
        migrations.CreateModel(
            name='CalendarConfigItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('superuser', models.BooleanField(default=False, editable=False)),
                ('view', models.CharField(choices=[('month', 'Month'), ('week', 'Week')], default='month', max_length=100, verbose_name='Default view mode')),
                ('week_start', models.IntegerField(choices=[(1, 'Monday'), (2, 'Tuesday'), (3, 'Wednesday'), (4, 'Thursday'), (5, 'Friday'), (6, 'Saturday'), (7, 'Sunday')], default=1, verbose_name='First day of the week')),
                ('week_days', models.JSONField(default=creme.activities.models.config.Weekday.default_days, editable=False, verbose_name='Days of the week')),
                ('day_start', models.TimeField(default=datetime.time(8, 0), verbose_name='Start')),
                ('day_end', models.TimeField(default=datetime.time(18, 0), verbose_name='End')),
                ('slot_duration', models.TimeField(default=datetime.time(0, 15), verbose_name='Slot duration')),
                ('allow_event_move', models.BooleanField(default=True, verbose_name='Allow drag-n-drop')),
                ('allow_keep_state', models.BooleanField(default=False, verbose_name='Keep navigation state')),
                ('extra_data', models.JSONField(default=dict, editable=False)),
                ('role', models.ForeignKey(default=None, editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, to='creme_core.userrole')),
            ],
            options={
                'verbose_name': 'Calendar display configuration',
                'verbose_name_plural': 'Calendar display configurations',
            },
        ),
    ]
